<template>
  <div class="message d-flex align-items-start" :class="{'me':isSent}">
    <messagePicture :isSent="isSent" :message="message"></messagePicture>

    <!-- 
    <div class="text-main" >
    <div class="text-group" >-->
    <div class="d-flex flex-column">
      <messageHead :isSent="isSent" :message="message"></messageHead>

      <div class="text text-muted shadow-sm" :class="{'me':isSent}">
        <div class="row">
          <div class="col-md-2">
            <img
              src="https://marketplace.canva.com/MAB5sssN0Qw/1/thumbnail_large/canva-file--MAB5sssN0Qw.png"
              alt
              class="img-fluid"
            >
          </div>
          <div class="col-md-8">
            <div>
              <a
                :class="{'text-white':isSent}"
                :href="content.fileUrl"
                target="_blank"
              >{{content.fileName}}</a>
              <small :class="{'text-white':isSent}">{{content.fileSize}}</small>
            </div>
            <div>
              <a
                :class="{'text-white':isSent}"
                :href="content.fileUrl"
                target="_blank"
              >Save File</a>
            </div>
          </div>
        </div>

        <small class="d-block" :class="{'text-white':isSent,'float-right':isSent}">
          <template v-if="isSent">
            <i class="fas fa-clock" v-show="message.created_at == null"></i>
            <i class="fas fa-check" v-show="message.created_at != null"></i>
          </template>
          {{formatDate(message.created_at,"LT")}}
        </small>
      </div>
    </div>
    <!-- </div> -->
    <!-- </div> -->
  </div>
</template>

<script>
import chatMixin from "@/mixins/ChatMixin";
import MessagePicture from "../elements/MessagePicture";
import MessageHead from "../elements/MessageHead";
export default {
  mixins: [chatMixin],
  components: {
    MessagePicture,
    MessageHead
  }
};
</script>
<style scoped>
.chat-content {
  overflow-y: scroll !important;
}
</style>
